Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand.jms
Class JMSTopicTransportManager

`java.lang.Object
oracle.toplink.remotecommand.TransportManager
oracle.toplink.remotecommand.jms.JMSTopicTransportManager`

public class JMSTopicTransportManager
extends TransportManager

Purpose: Provide a JMS transport implementation for the Remote Command Module (RCM).

Description: This class manages one connection to the known JMS Topic.

Since:
  OracleAS TopLink 10g (10.0.3)

Field Summary
`static java.lang.String` | `DEFAULT_CONNECTION_FACTORY`
`static java.lang.String` | `DEFAULT_TOPIC`

Fields inherited from class oracle.toplink.remotecommand.TransportManager
`DEFAULT_CONTEXT_FACTORY, DEFAULT_DEDICATED_CONNECTION_KEY, DEFAULT_DEDICATED_CONNECTION_VALUE, DEFAULT_IIOP_URL_PORT, DEFAULT_IIOP_URL_PROTOCOL, DEFAULT_NAMING_SERVICE, DEFAULT_REMOVE_CONNECTION_ON_ERROR_MODE, DEFAULT_URL_PORT, DEFAULT_URL_PROTOCOL, DEFAULT_USER_NAME, JNDI_NAMING_SERVICE, REGISTRY_NAMING_SERVICE`

Constructor Summary
`JMSTopicTransportManager(RemoteCommandManager rcm)`

Method Summary
`DiscoveryManager` | `createDiscoveryManager()` ADVANCED: Factory of DiscoveryManager for JMS transport.
`java.lang.String` | `getTopicConnectionFactoryName()` PUBLIC: Return the JMS Topic Connection Factory Name for the JMS Topic connections.
`java.lang.String` | `getTopicHostUrl()` PUBLIC: Return the URL of the machine on the network that hosts the JMS Topic.
`java.lang.String` | `getTopicName()` PUBLIC: Return the JMS Topic name for the Topic that this TransportManager will be connecting to.
`void` | `removeLocalConnection()` ADVANCED: Remove the local connection from remote accesses.
`void` | `setNamingServiceType(int serviceType)` ADVANCED: This funcation is not supported for naming service other than JNDI or TransportManager.JNDI_NAMING_SERVICE.
`void` | `setTopicConnectionFactoryName(java.lang.String newTopicConnectionFactoryName)` PUBLIC: Configure the JMS Topic Connection Factory Name for the JMS Topic connections.
`void` | `setTopicHostUrl(java.lang.String jmsHostUrl)` PUBLIC: Configure the URL of the machine on the network that hosts the JMS Topic.
`void` | `setTopicName(java.lang.String newTopicName)` PUBLIC: Configure the JMS Topic name for the Topic that this TransportManager will be connecting to.

Methods inherited from class oracle.toplink.remotecommand.TransportManager
`getInitialContextFactoryName, getLocalContextProperties, getNamingServiceType, getPassword, getRemoteContextProperties, getUserName, setEncryptedPassword, setInitialContextFactoryName, setLocalContextProperties, setPassword, setRemoteContextProperties, setShouldRemoveConnectionOnError, setUserName, shouldRemoveConnectionOnError`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TOPIC

    public static final java.lang.String DEFAULT_TOPIC

  See Also:
    Constant Field Values

### DEFAULT_CONNECTION_FACTORY

    public static final java.lang.String DEFAULT_CONNECTION_FACTORY

  See Also:
    Constant Field Values

Constructor Detail

### JMSTopicTransportManager

    public JMSTopicTransportManager(RemoteCommandManager rcm)

Method Detail

### setTopicConnectionFactoryName

    public void setTopicConnectionFactoryName(java.lang.String newTopicConnectionFactoryName)

  PUBLIC: Configure the JMS Topic Connection Factory Name for the JMS Topic connections.

### getTopicConnectionFactoryName

    public java.lang.String getTopicConnectionFactoryName()

  PUBLIC: Return the JMS Topic Connection Factory Name for the JMS Topic connections.

### setTopicName

    public void setTopicName(java.lang.String newTopicName)

  PUBLIC: Configure the JMS Topic name for the Topic that this TransportManager will be connecting to. This is a required setting and must be set.

### getTopicName

    public java.lang.String getTopicName()

  PUBLIC: Return the JMS Topic name for the Topic that this TransportManager will be connecting to.

### getTopicHostUrl

    public java.lang.String getTopicHostUrl()

  PUBLIC: Return the URL of the machine on the network that hosts the JMS Topic. This is a reqired property and must be configured.

### setTopicHostUrl

    public void setTopicHostUrl(java.lang.String jmsHostUrl)

  PUBLIC: Configure the URL of the machine on the network that hosts the JMS Topic. This is a required property and must be configured.

### setNamingServiceType

    public void setNamingServiceType(int serviceType)

  ADVANCED: This funcation is not supported for naming service other than JNDI or TransportManager.JNDI_NAMING_SERVICE.
  Overrides:
    `setNamingServiceType` in class `TransportManager`

### createDiscoveryManager

    public DiscoveryManager createDiscoveryManager()

  ADVANCED: Factory of DiscoveryManager for JMS transport. Return a new JMSTopicDiscoveryManager.
  Overrides:
    `createDiscoveryManager` in class `TransportManager`

### removeLocalConnection

    public void removeLocalConnection()

  ADVANCED: Remove the local connection from remote accesses. The implementation un-subscribes the local connection to the JMS Topic and set it to null. This method is invoked internally by TopLink when the RCM is shutdown and should not be invoked by user's application.
  Specified by:
    `removeLocalConnection` in class `TransportManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD